EAGLE Central Forums
Where the EAGLE community meets. Sponsored by Stratford Digital.

Home » CadSoft Support Forums » eagle.betatest » Installation 7.2.1 Beta
Installation 7.2.1 Beta [message #160514] Thu, 23 April 2015 06:55 Go to next message
Anton Hadinger
Messages: 1
Registered: April 2015
Junior Member
Hi,

this a report of installing EAGLE 7.2.1 on CentOS Linux.

32-bit:

After creating the symlinks:

cd /usr/lib && ln -s libssl.so.1.0.1e libssl.so.1.0.0
cd /usr/lib && ln -s libcrypto.so.1.0.1e libcrypto.so.1.0.0

i could install and run EAGLE 7.2.1 beta.


64-bit:

After creating the symlinks:

cd /usr/lib64 && ln -s libssl.so.1.0.1e libssl.so.1.0.0
cd /usr/lib64 && ln -s libcrypto.so.1.0.1e libcrypto.so.1.0.0

the installation of EAGLE 7.2.1 beta crashes with:

/tmp/eagle-setup.16392/eagle-7.2.1/bin/eagle: /lib64/libc.so.6: version
`GLIBC_2.14' not found (required by /tmp/eagle-setup.16392/eagle-7.2.1/bin/eagle)


# cat /etc/redhat-release
CentOS release 6.6 (Final)
# uname -a
Linux localhost 2.6.32-504.16.2.el6.x86_64 #1 SMP Wed Apr 22 06:48:29 UTC 2015
x86_64 x86_64 x86_64 GNU/Linux


Toni
Re: Installation 7.2.1 Beta [message #160519 is a reply to message #160514] Thu, 23 April 2015 09:06 Go to previous messageGo to next message
Walter Spermann
Messages: 540
Registered: August 2010
Senior Member
Hi,

On 04/23/2015 08:55 AM, Anton Hadinger wrote:
> Hi,
>
> this a report of installing EAGLE 7.2.1 on CentOS Linux.
>
> 32-bit:
>
> After creating the symlinks:
>
> cd /usr/lib && ln -s libssl.so.1.0.1e libssl.so.1.0.0
> cd /usr/lib && ln -s libcrypto.so.1.0.1e libcrypto.so.1.0.0
>
> i could install and run EAGLE 7.2.1 beta.
>
>
> 64-bit:
>
> After creating the symlinks:
>
> cd /usr/lib64 && ln -s libssl.so.1.0.1e libssl.so.1.0.0
> cd /usr/lib64 && ln -s libcrypto.so.1.0.1e libcrypto.so.1.0.0
>
> the installation of EAGLE 7.2.1 beta crashes with:
>
> /tmp/eagle-setup.16392/eagle-7.2.1/bin/eagle: /lib64/libc.so.6: version `GLIBC_2.14' not found
> (required by /tmp/eagle-setup.16392/eagle-7.2.1/bin/eagle)
>
>
> # cat /etc/redhat-release
> CentOS release 6.6 (Final)
> # uname -a
> Linux localhost 2.6.32-504.16.2.el6.x86_64 #1 SMP Wed Apr 22 06:48:29 UTC 2015 x86_64 x86_64 x86_64
> GNU/Linux
thanks for the info! We can reproduce a similar behaviour on an older machine with Suse 11.3.
The library libc.so.6 is required in a newer version. We check if this is avoidable.

Regards,
Walter Spermann

>
>
> Toni


--
--------------------------------------------------------------------------- -------------------------------
Walter Spermann
Software Development
CadSoft Computer GmbH
Pleidolfweg 15
84568 Pleiskirchen
Tel.: 08635/6989-10
www.cadsoft.de
--------------------------------------------------------------------------- -------------------------------
Registergericht: Amtsgericht Traunstein HRB 5573
Geschäftsführer: Mark Whiteling
--------------------------------------------------------------------------- -------------------------------
Re: Installation 7.2.1 Beta [message #160535 is a reply to message #160519] Thu, 23 April 2015 17:28 Go to previous message
Walter Spermann
Messages: 540
Registered: August 2010
Senior Member
On 04/23/2015 11:06 AM, Walter Spermann wrote:
> Hi,
>
> On 04/23/2015 08:55 AM, Anton Hadinger wrote:
>> Hi,
>>
>> this a report of installing EAGLE 7.2.1 on CentOS Linux.
>>
>> 32-bit:
>>
>> After creating the symlinks:
>>
>> cd /usr/lib && ln -s libssl.so.1.0.1e libssl.so.1.0.0
>> cd /usr/lib && ln -s libcrypto.so.1.0.1e libcrypto.so.1.0.0
>>
>> i could install and run EAGLE 7.2.1 beta.
>>
>>
>> 64-bit:
>>
>> After creating the symlinks:
>>
>> cd /usr/lib64 && ln -s libssl.so.1.0.1e libssl.so.1.0.0
>> cd /usr/lib64 && ln -s libcrypto.so.1.0.1e libcrypto.so.1.0.0
>>
>> the installation of EAGLE 7.2.1 beta crashes with:
>>
>> /tmp/eagle-setup.16392/eagle-7.2.1/bin/eagle: /lib64/libc.so.6: version `GLIBC_2.14' not found
>> (required by /tmp/eagle-setup.16392/eagle-7.2.1/bin/eagle)
>>
>>
>> # cat /etc/redhat-release
>> CentOS release 6.6 (Final)
>> # uname -a
>> Linux localhost 2.6.32-504.16.2.el6.x86_64 #1 SMP Wed Apr 22 06:48:29 UTC 2015 x86_64 x86_64 x86_64
>> GNU/Linux
> thanks for the info! We can reproduce a similar behaviour on an older machine with Suse 11.3.
> The library libc.so.6 is required in a newer version. We check if this is avoidable.
>
> Regards,
> Walter Spermann
>
>>
>>
>> Toni
>
>
We can't avoid that our 64 build requires a newer version of libc which is indicated by the GLIBC
sub version. It should be possible to update it with a tool equivalent to YAST.
Hope this works for you.
We will add that to the requirements for Linux 64 bit.

Regards,
Walter Spermann
--
--------------------------------------------------------------------------- -------------------------------
Walter Spermann
Software Development
CadSoft Computer GmbH
Pleidolfweg 15
84568 Pleiskirchen
Tel.: 08635/6989-10
www.cadsoft.de
--------------------------------------------------------------------------- -------------------------------
Registergericht: Amtsgericht Traunstein HRB 5573
Geschäftsführer: Mark Whiteling
--------------------------------------------------------------------------- -------------------------------
Previous Topic: 7.2.1 - windows size and position not properly saved ...
Next Topic: Beta version 7.2.1 for MAC also available
Goto Forum:
  


Current Time: Thu Jul 27 04:45:00 GMT 2017